# This R script runs within tree_blengths.sh

#Usage: 
#Rscript /bin/patristic_dists.R treefile.tree outfile

###CRUCIAL: INPUT TREE **MUST** BE CORRECTLY ROOTED. Remember that NJplot takes some info out of branch lengths (so far this has not been a major problem, but this must be kept in mind)

arg = commandArgs(trailingOnly=TRUE)

library(adephylo)
library(ape)

t1 <- ladderize(read.tree(file=arg[1]))
blen1 <- distRoot(t1,method="patristic")
blen1m <- as.matrix(blen1)
sink(arg[2])
blen1m
sink()
