#!/bin/bash

# This script makes a line chart of the progression of the relative rates through the trims

# Use:
# totalsumup <genename>

#echo "Welcome to the trim data summary applet, this little program uses the output from the podatestA/B scripts, and:

#1. Creates a .csv table with the rates through trims for Diplomystes, Loricarioidei, and Siluroidei, as well as the lnL difference, and the chi-square p-value of the lnL*2 number.
#2. Makes 2 line charts:
# (1) clade relative rates through trims
# (2) chi-square p-value through trims
#"


tabulatetrims_path=/home/flugcanje/Desktop/Dktp/Developing/DEV_resieve/REsieve/scripts/tabulatetrims.sh
trimsgraphs_path=/home/flugcanje/Desktop/Dktp/Developing/DEV_resieve/REsieve/scripts/trimsgraphs.R


if [[ -z "$1" ]]
then
  echo "
What is the gene name?
"
  read name
else
  name=$1
fi


$tabulatetrims_path $name

Rscript $trimsgraphs_path "$name"_gene_claderates.csv

mv Rplots.pdf "$name"_rates-xsq_graphs.pdf
