# This R script "trims" the alignment file (it actually selects to print only those that are not trimmed)

# Use:
# Rscript /bin/trimalignment.R <oldtrimalignment.phy(without the I!)> <thistrimtaxalist> <outfile.fas>

library(ape)

arg = commandArgs(trailingOnly=TRUE)

preval <- as.list(read.dna(file=arg[1]))
curlist <- as.matrix(read.csv(file=arg[2],header=FALSE))
write.dna(preval[curlist[,"V1"]],file=arg[3],format="fasta")
