#!/bin/bash

#trimalignment.sh - imports a fasta alignment like a bash array, and prints out only the species given by the input table with a list of names into the outputfile given in arg 3

# Usage:
# %s <fasta_alignment> <livingtaxalist> <outputname.fas>

alignment=$1
livingtaxa=$2
outfile=$3

m=0
sed -i 's/://g' $alignment
for k in $(for i in $(grep ">" $alignment)
 do
  new=$(echo $i:)
  sed -i "s/$i$/$new/g" $alignment
 done
 cat $alignment | tr -s ":" | tr -d "\n" | sed 's/>/\n>/g')
do
 dataarray[$m]=$k
 m=$(echo $m+1 |bc)
done

for i in $(cut -d"," -f1 $livingtaxa)
do
 for k in ${dataarray[*]};
  do
   echo $k | grep "$i:" | sed 's/:/\n/g' | fold -w60 >> $outfile
  done
done
sed -i 's/://g' $alignment
