#!/bin/bash

chmod a+rwx scripts/*

#setting path for REsieve-master.sh in REsieve-run.sh
newpath=$(find $PWD/scripts/REsieve-master.sh | sed 's/\//\\\//g')
oldpath=$(grep "resieve_mast_path=" REsieve-run.sh | sed 's/\//\\\//g')
sed -i "s/$oldpath/resieve_mast_path=$newpath/" REsieve-run.sh

#setting path for tablify.sh in REsieve-run.sh
newpath=$(find $PWD/scripts/tablify.sh | sed 's/\//\\\//g')
oldpath=$(grep "tablify_path=" REsieve-run.sh | sed 's/\//\\\//g')
sed -i "s/$oldpath/tablify_path=$newpath/" REsieve-run.sh

#setting path for reducecsv.sh in REsieve-master.sh
newpath=$(find $PWD/scripts/reducecsv.sh | sed 's/\//\\\//g')
oldpath=$(grep "reducecsv_path=" scripts/REsieve-master.sh | sed 's/\//\\\//g')
sed -i "s/$oldpath/reducecsv_path=$newpath/" scripts/REsieve-master.sh

#setting path for phytofas.sh in REsieve-master.sh
newpath=$(find $PWD/scripts/phytofas.sh | sed 's/\//\\\//g')
oldpath=$(grep "phytofas_path=" scripts/REsieve-master.sh | sed 's/\//\\\//g')
sed -i "s/$oldpath/phytofas_path=$newpath/" scripts/REsieve-master.sh

#setting path for trimalignment.sh in REsieve-master.sh
newpath=$(find $PWD/scripts/trimalignment.sh | sed 's/\//\\\//g')
oldpath=$(grep "trimalignment_sh_path=" scripts/REsieve-master.sh | sed 's/\//\\\//g')
sed -i "s/$oldpath/trimalignment_sh_path=$newpath/" scripts/REsieve-master.sh

#setting path for phytofas.sh in reducecsv.sh
newpath=$(find $PWD/scripts/phytofas.sh | sed 's/\//\\\//g')
oldpath=$(grep "phytofas_path=" scripts/reducecsv.sh | sed 's/\//\\\//g')
sed -i "s/$oldpath/phytofas_path=$newpath/" scripts/reducecsv.sh

#setting path for producetrees.sh in REsieve-master.sh
newpath=$(find $PWD/scripts/producetrees.sh | sed 's/\//\\\//g')
oldpath=$(grep "producetrees_path=" scripts/REsieve-master.sh | sed 's/\//\\\//g')
sed -i "s/$oldpath/producetrees_path=$newpath/" scripts/REsieve-master.sh

#setting path for trimtrees.R in producetrees.sh
newpath=$(find $PWD/scripts/trimtrees.R | sed 's/\//\\\//g')
oldpath=$(grep "trimtrees_path=" scripts/producetrees.sh | sed 's/\//\\\//g')
sed -i "s/$oldpath/trimtrees_path=$newpath/" scripts/producetrees.sh

#setting path for labeltrees.R in producetrees.sh
newpath=$(find $PWD/scripts/labeltrees.R | sed 's/\//\\\//g')
oldpath=$(grep "labeltrees_path=" scripts/producetrees.sh | sed 's/\//\\\//g')
sed -i "s/$oldpath/labeltrees_path=$newpath/" scripts/producetrees.sh


#setting path for paml_blength_optimizer.sh in REsieve-master.sh
newpath=$(find $PWD/scripts/paml_blength_optimizer.sh | sed 's/\//\\\//g')
oldpath=$(grep "paml_blength_optimizer_path=" scripts/REsieve-master.sh | sed 's/\//\\\//g')
sed -i "s/$oldpath/paml_blength_optimizer_path=$newpath/" scripts/REsieve-master.sh

#setting path for tree_blengths.sh in REsieve-master.sh
newpath=$(find $PWD/scripts/tree_blengths.sh | sed 's/\//\\\//g')
oldpath=$(grep "tree_blengths_path=" scripts/REsieve-master.sh | sed 's/\//\\\//g')
sed -i "s/$oldpath/tree_blengths_path=$newpath/" scripts/REsieve-master.sh

#setting path for patristic_dists.sh in tree_blengths.sh
newpath=$(find $PWD/scripts/patristic_dists.R | sed 's/\//\\\//g')
oldpath=$(grep "patristic_dists_path=" scripts/tree_blengths.sh | sed 's/\//\\\//g')
sed -i "s/$oldpath/patristic_dists_path=$newpath/" scripts/tree_blengths.sh

#setting path for podatestA.sh in REsieve-master.sh
newpath=$(find $PWD/scripts/podatestA.sh | sed 's/\//\\\//g')
oldpath=$(grep "podatestA_path=" scripts/REsieve-master.sh | sed 's/\//\\\//g')
sed -i "s/$oldpath/podatestA_path=$newpath/" scripts/REsieve-master.sh

#setting path for sumup.sh in podatestA.sh
newpath=$(find $PWD/scripts/sumup.sh | sed 's/\//\\\//g')
oldpath=$(grep "sumup_path=" scripts/podatestA.sh | sed 's/\//\\\//g')
sed -i "s/$oldpath/sumup_path=$newpath/" scripts/podatestA.sh

#setting path for trimalignment.R in REsieve-master.sh
newpath=$(find $PWD/scripts/trimalignment.R | sed 's/\//\\\//g')
oldpath=$(grep "trimalignment_path=" scripts/REsieve-master.sh | sed 's/\//\\\//g')
sed -i "s/$oldpath/trimalignment_path=$newpath/" scripts/REsieve-master.sh

#setting path for fastophy.sh in REsieve-master.sh
newpath=$(find $PWD/scripts/fastophy.sh | sed 's/\//\\\//g')
oldpath=$(grep "fastophy_path=" scripts/REsieve-master.sh | sed 's/\//\\\//g')
sed -i "s/$oldpath/fastophy_path=$newpath/" scripts/REsieve-master.sh

#setting path for totalsumup.sh in REsieve-master.sh
newpath=$(find $PWD/scripts/totalsumup.sh | sed 's/\//\\\//g')
oldpath=$(grep "totalsumup_path=" scripts/REsieve-master.sh | sed 's/\//\\\//g')
sed -i "s/$oldpath/totalsumup_path=$newpath/" scripts/REsieve-master.sh

#setting path for trimsgraphs.R in totalsumup.sh
newpath=$(find $PWD/scripts/trimsgraphs.R | sed 's/\//\\\//g')
oldpath=$(grep "trimsgraphs_path=" scripts/totalsumup.sh | sed 's/\//\\\//g')
sed -i "s/$oldpath/trimsgraphs_path=$newpath/" scripts/totalsumup.sh

#setting path for tabulatetrims.sh in totalsumup.sh
newpath=$(find $PWD/scripts/tabulatetrims.sh | sed 's/\//\\\//g')
oldpath=$(grep "tabulatetrims_path=" scripts/totalsumup.sh | sed 's/\//\\\//g')
sed -i "s/$oldpath/tabulatetrims_path=$newpath/" scripts/totalsumup.sh
